<template>
	<el-row>
		<el-row v-for="index in row_num" :key="index" :class="['cell','f14',index > 1 && 'marginTop10']">
			<el-col :span="item(index,'lab',1) ? 12 : 24" class="flexVcenter">
				<el-col :span="6" class="label fb_regular f14">{{item(index,'lab')}}</el-col>
				<el-col :span="16" class="text fb_regular f14">{{item(index,'text')}}</el-col>
			</el-col>
			<el-col :span="12" v-if="item(index,'lab',1)" class="flexVcenter">
				<el-col :span="6" class="label fb_regular f14">{{item(index,'lab',1)}}</el-col>
				<el-col :span="16" class="text fb_regular f14">{{item(index,'text',1)}}</el-col>
			</el-col>
		</el-row>
	</el-row>
</template>

<script>
export default {
	props: ['conf'],
	computed: {
		filter_conf() {
			return this.conf || []
		},
		row_num() {
			let len = this.filter_conf.length
			return len % 2 ? (len + 1) / 2 : len / 2
		}
	},
	methods: {
		item(index, key, num = 0) {
			let obj = this.filter_conf[(index - 1) * 2 + num]
			let val = obj
				? obj.filter && obj[key] && key === 'text'
					? obj.filter(obj[key])
					: obj[key]
				: ''
			return val
		}
	}
}
</script>

<style lang="less" scoped>
.cell {
	.label {
		width: 5rem;
		text-align: right;
		color: #6d7478;
	}
	.text {
		margin-left: 0.5rem;
		color: #262941;
	}
}
</style>
